Debian Bug report logs - #238057
lynx: FTBFS on GNU/Hurd (and GNU/k*BSD)

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Mon, 15 Mar 2004 02:18:02 UTC

Severity: important

Tags: fixed-upstream, patch, sid

Found in version 2.8.5-1

Fixed in version lynx/2.8.5-2sarge1.2

Done: Kurt Roeckx <kurt@roeckx.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#238057; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx: FTBFS on GNU/Hurd (and GNU/k*BSD)
Date: Mon, 15 Mar 2004 03:03:25 +0100
[Message part 1 (text/plain, inline)]
Package: lynx
Version: 2.8.5-1
Severity: important
Tags: sid, patch

Hi!

lynx fails to build on GNU/Hurd (and any Glibc-based system that doesn't
use Linux) because Glibc's errno.h requires _GNU_SOURCE to enable GNU
extensions but such macro is only defined on aclocal.m4 for "linux*".

The attached patch defines it for "gnu*|k*bsd*-gnu" too (after regenerating
configure, of course). Please could you forward it to upstream?

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.24-1-k7
Locale: LANG=C, LC_CTYPE=C

Versions of packages lynx depends on:
ii  libbz2-1.0                  1.0.2-1      A high-quality block-sorting file 
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libgnutls7                  0.8.12-5     GNU TLS library - runtime library
pn  libncursesw5                             Not found.
ii  zlib1g                      1:1.2.1-4    compression library - runtime

-- no debconf information
[lynx.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#238057; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #10 received at 238057@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 238057@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: lynx: FTBFS on GNU/Hurd (and GNU/k*BSD)
Date: Wed, 30 Jun 2004 20:31:21 -0400
>                       Debian Bug report logs - #238057
>                    lynx: FTBFS on GNU/Hurd (and GNU/k*BSD)
This is fixed in lynx 2.8.6dev.5
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Tags added: fixed-upstream Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Robert Millan <rmh@debian.org> to Robert Millan <rmh@aybabtu.com>. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Sep 2008 13:00:21 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.8.5-2sarge1.2, send any further explanations to Robert Millan <rmh@aybabtu.com> Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 21 Sep 2008 13:00:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Oct 2008 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:06:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.